<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CS 250 Data Structures: DataStructure::ArrayStack&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CS 250 Data Structures
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceDataStructure.html">DataStructure</a></li><li class="navelem"><a class="el" href="classDataStructure_1_1ArrayStack.html">ArrayStack</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classDataStructure_1_1ArrayStack-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">DataStructure::ArrayStack&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A last-in-first-out (LIFO) stack structure built on top of an array.  
 <a href="classDataStructure_1_1ArrayStack.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="ArrayStack_8h_source.html">ArrayStack.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a249aafe970b994653cca48399a59c69b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataStructure_1_1ArrayStack.html#a249aafe970b994653cca48399a59c69b">Push</a> (const T &amp;newData)</td></tr>
<tr class="memdesc:a249aafe970b994653cca48399a59c69b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Push a new item into the back of the queue.  <a href="classDataStructure_1_1ArrayStack.html#a249aafe970b994653cca48399a59c69b">More...</a><br /></td></tr>
<tr class="separator:a249aafe970b994653cca48399a59c69b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0386ae6c3878a9b56901b306b419a9ad"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataStructure_1_1ArrayStack.html#a0386ae6c3878a9b56901b306b419a9ad">Pop</a> ()</td></tr>
<tr class="memdesc:a0386ae6c3878a9b56901b306b419a9ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove the item at the front of the queue.  <a href="classDataStructure_1_1ArrayStack.html#a0386ae6c3878a9b56901b306b419a9ad">More...</a><br /></td></tr>
<tr class="separator:a0386ae6c3878a9b56901b306b419a9ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82e7dccd11ccdeecf31195fa7039143c"><td class="memItemLeft" align="right" valign="top">T &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataStructure_1_1ArrayStack.html#a82e7dccd11ccdeecf31195fa7039143c">Top</a> ()</td></tr>
<tr class="memdesc:a82e7dccd11ccdeecf31195fa7039143c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the data at the front of the queue.  <a href="classDataStructure_1_1ArrayStack.html#a82e7dccd11ccdeecf31195fa7039143c">More...</a><br /></td></tr>
<tr class="separator:a82e7dccd11ccdeecf31195fa7039143c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a685e1070c8fd2a06440ca4730702ceaf"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataStructure_1_1ArrayStack.html#a685e1070c8fd2a06440ca4730702ceaf">Size</a> ()</td></tr>
<tr class="memdesc:a685e1070c8fd2a06440ca4730702ceaf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the amount of items in the queue.  <a href="classDataStructure_1_1ArrayStack.html#a685e1070c8fd2a06440ca4730702ceaf">More...</a><br /></td></tr>
<tr class="separator:a685e1070c8fd2a06440ca4730702ceaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6da23b9ee0bff88d1eaccba809d0a28"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataStructure_1_1ArrayStack.html#af6da23b9ee0bff88d1eaccba809d0a28">IsEmpty</a> ()</td></tr>
<tr class="memdesc:af6da23b9ee0bff88d1eaccba809d0a28"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return whether the queue is empty.  <a href="classDataStructure_1_1ArrayStack.html#af6da23b9ee0bff88d1eaccba809d0a28">More...</a><br /></td></tr>
<tr class="separator:af6da23b9ee0bff88d1eaccba809d0a28"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:af7671859b37411c7557379f0b6b3a67f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classDataStructure_1_1SmartDynamicArray.html">SmartDynamicArray</a>&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataStructure_1_1ArrayStack.html#af7671859b37411c7557379f0b6b3a67f">m_vector</a></td></tr>
<tr class="separator:af7671859b37411c7557379f0b6b3a67f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a2118df8846e43115775918f6749561cf"><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataStructure_1_1ArrayStack.html#a2118df8846e43115775918f6749561cf">StackTester</a></td></tr>
<tr class="separator:a2118df8846e43115775918f6749561cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T&gt;<br />
class DataStructure::ArrayStack&lt; T &gt;</h3>

<p>A last-in-first-out (LIFO) stack structure built on top of an array. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="af6da23b9ee0bff88d1eaccba809d0a28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6da23b9ee0bff88d1eaccba809d0a28">&#9670;&nbsp;</a></span>IsEmpty()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classDataStructure_1_1ArrayStack.html">DataStructure::ArrayStack</a>&lt; T &gt;::IsEmpty</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return whether the queue is empty. </p>

</div>
</div>
<a id="a0386ae6c3878a9b56901b306b419a9ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0386ae6c3878a9b56901b306b419a9ad">&#9670;&nbsp;</a></span>Pop()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classDataStructure_1_1ArrayStack.html">DataStructure::ArrayStack</a>&lt; T &gt;::Pop</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Remove the item at the front of the queue. </p>

</div>
</div>
<a id="a249aafe970b994653cca48399a59c69b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a249aafe970b994653cca48399a59c69b">&#9670;&nbsp;</a></span>Push()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classDataStructure_1_1ArrayStack.html">DataStructure::ArrayStack</a>&lt; T &gt;::Push </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>newData</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Push a new item into the back of the queue. </p>

</div>
</div>
<a id="a685e1070c8fd2a06440ca4730702ceaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a685e1070c8fd2a06440ca4730702ceaf">&#9670;&nbsp;</a></span>Size()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classDataStructure_1_1ArrayStack.html">DataStructure::ArrayStack</a>&lt; T &gt;::Size</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the amount of items in the queue. </p>

</div>
</div>
<a id="a82e7dccd11ccdeecf31195fa7039143c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82e7dccd11ccdeecf31195fa7039143c">&#9670;&nbsp;</a></span>Top()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T &amp; <a class="el" href="classDataStructure_1_1ArrayStack.html">DataStructure::ArrayStack</a>&lt; T &gt;::Top</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the data at the front of the queue. </p>

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a id="a2118df8846e43115775918f6749561cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2118df8846e43115775918f6749561cf">&#9670;&nbsp;</a></span>StackTester</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classDataStructure_1_1StackTester.html">StackTester</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="af7671859b37411c7557379f0b6b3a67f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7671859b37411c7557379f0b6b3a67f">&#9670;&nbsp;</a></span>m_vector</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classDataStructure_1_1SmartDynamicArray.html">SmartDynamicArray</a>&lt;T&gt; <a class="el" href="classDataStructure_1_1ArrayStack.html">DataStructure::ArrayStack</a>&lt; T &gt;::m_vector</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DataStructure/Stack/<a class="el" href="ArrayStack_8h_source.html">ArrayStack.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
